# condition Class Reference

`#include <_condition.h>`

Inheritance diagram for condition:

List of all members.

## Public Member Functions

| condition ()
| ~condition ()
void | operator() ()
void | wait ()
void | wait_next ()

## Private Attributes

bool | flag

## Detailed Description

======================================================================== Extended Template and Library Mutex Abstraction Class Implementation $Id$

Copyright (c) 2002 Robert B. Quattlebaum Jr.

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=== N O T E S ===========================================================

This is an internal header file, included by other ETL headers. You should not attempt to use it directly.

=========================================================================

Definition at line 38 of file _condition.h.

## Constructor & Destructor Documentation

condition::condition | ( |  | ) | `[inline]`

Definition at line 42 of file _condition.h.

References flag.

condition::~condition | ( |  | ) | `[inline]`

Definition at line 44 of file _condition.h.

## Member Function Documentation

void condition::operator() | ( |  | ) | `[inline]`

Definition at line 46 of file _condition.h.

References flag.

void condition::wait | ( |  | ) | `[inline]`

Definition at line 48 of file _condition.h.

References flag, and Yield().

void condition::wait_next | ( |  | ) | `[inline]`

Definition at line 55 of file _condition.h.

References flag, and Yield().

## Member Data Documentation

bool condition::flag `[private]`

Definition at line 40 of file _condition.h.

Referenced by condition(), operator()(), wait(), and wait_next().

The documentation for this class was generated from the following file:

- _condition.h